<?php
require_once '../../../../../wp-config.php';

try {
    $dbh = new PDO('mysql:host=' . DB_HOST . ';dbname=' . DB_NAME, DB_USER, DB_PASSWORD);
	$sql = 'SELECT employeeid, title, callnamefirstname, lastname from ' . $table_prefix . 'pure_profiles_person';
	$persons_select = array();
    foreach($dbh->query($sql) as $row) {
		$persons_select[$row['employeeid']] = $row['title']." ".$row['callnamefirstname']." ".$row['lastname'];
    }
    $dbh = null;
} catch (PDOException $e) {
    print "Error!: " . $e->getMessage() . "<br/>";
    die();
}
?>

<!DOCTYPE html>
<head>
	<title>Create Profile Shortcode</title>
	<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.1/jquery.min.js"></script>
	<script type="text/javascript" src="../../../../../../wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script type="text/javascript">
	var ProfileTiny = {
		e: '',
		init: function(e) {
			ProfileTiny.e = e;
			tinyMCEPopup.resizeToInnerSize();
		},
		insert: function createProfileShortcode(e) {
			//Create Shortcode
			var employeeID = $('#employeeid').val();
			var hide_profileinformation = $('#hide_profileinformation').is(':checked') ? $('#hide_profileinformation').val() : '';
			var hide_publications = $('#hide_publications').is(':checked') ? $('#hide_publications').val() : '';
			var hide_projects = $('#hide_projects').is(':checked') ? $('#hide_projects').val() : '';
			
			var output = '[pureprofiles';
			if(employeeID) {
				output += ' employeeid="'+employeeID+'"';
			}
			if(hide_profileinformation || hide_publications || hide_projects) {
				output += ' hide="'+hide_profileinformation+hide_publications+hide_projects+'"';
			}			
			output += ']';
			
			tinyMCEPopup.execCommand('mceReplaceContent', false, output);
			
			tinyMCEPopup.close();
			
		}
	}
	tinyMCEPopup.onInit.add(ProfileTiny.init, ProfileTiny);
	</script>
</head>
<body>
<form id="ProfileShortcode">
	<p>
		<label for="employeeid">Person to display:</label><br/>
		<select name="employeeid" id="employeeid">
			<option value="">-display all-</option>
		<?php foreach ($persons_select as $id=>$ps) { ?>
			<option value="<?php echo $id; ?>"><?php echo $ps; ?></option>
		<?php } ?>
		</select><br/><br/>
		
		<label for="sectionstohide">Sections to hide:</label><br/>
		<input type="checkbox" name="hide_group[]" id="hide_profileinformation" value="profileinformation " />Profile Information<br />
		<input type="checkbox" name="hide_group[]" id="hide_publications" value="publications " />Publications<br />
		<input type="checkbox" name="hide_group[]" id="hide_projects" value="projects" />Projects<br />
		
	</p>

	<p><button onclick="javascript:ProfileTiny.insert(ProfileTiny.e)">Create Shortcode</button></p>
</form>
</body>
</html>
